/*
Теоретичні питання:

1. Як можна оголосити змінну у Javascript?
  Змінну у JavaScript можна оголиси через службове слово:
   - const - для сталого значення, яке не буде змінюватися вродовж коду;
   - let - для значень, які змінюються;
   - var - застарілий варіант, не рекомендовано використовувати.
  + назва змінної, яка повинна починатися з букв латинського алфавіту (А-Z або a-z) або символа нижнього підкреслення "_" або знаку долара "$", наприклад,
  const myNumber = 19;
  let myMessage = "Hello";

2. У чому різниця між функцією prompt та функцією confirm?
 І prompt і confirm - це функції, які показують модальне вікно в браузері для взаємодії з користувачем.
 confirm показую у вікні повідомлення з кнопками "ок" і "відміна", а prompt показує повідомлення з полем вводу і кнопками "ок" і "відміна". Потрібно врахувати, що confirm повертає true або false, в залежності від дій користувача, prompt повертає значення в форматі string, пусту строку (empty string) або null.

3. Що таке неявне перетворення типів? Наведіть один приклад.
  Неявне перетворення - це коли JS перетворює тип даних у потірбний тип автоматично (без спеціальних контсрукторів і методів).
  Наприклад:
  - конкатенація з математичним знаком "+"
    const myValue = "2" + 3; // 23 string
  - унарний +
    сonst myNumber = +"3.14"; // 3.14 number
  - через логічні оператори (! || &&)
    const myLogic = !true; // false
    const myLogic1 = true;
    alert (myLogic && myLogic1) // false
    alert (myLogic || myLogic1) // true
  - через логічний вираз
    if (12) {} - умова в круглих дужках true, отже виконуєсться код в фігурних дужках.
*/

// Завдання 1
// Оголосіть дві змінні: admin та name. Встановіть ваше ім'я в якості значення змінної name. Скопіюйте це значення в змінну admin і виведіть його в консоль.
let admin;
let name;
name = "Oleksandr";
admin = name;
console.log(admin);

// Завдання 2
// Оголосити змінну days і ініціалізувати її числом від 1 до 10. Перетворіть це число на кількість секунд і виведіть на консоль.
let days = (Math.floor(Math.random() * 10) + 1) * 86400;
console.log(days + " секунд");

// Завдання 3
// Запитайте у користувача якесь значення і виведіть його в консоль.
let myValue = prompt("Введіть значення");
console.log(myValue);
